Skip to main content
PUT
/
hooks
/
{hook_id}
Update Hook
curl --request PUT \
  --url https://api.xplenty.com/{account_id}/api/hooks/{hook_id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "active": true,
  "settings": {},
  "events": [
    "<string>"
  ]
}
'
{
  "id": 123,
  "type": "<string>",
  "name": "<string>",
  "active": true,
  "settings": {},
  "events": [
    "<string>"
  ],
  "salt": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Path Parameters

hook_id
integer
required

Body

application/json
name
string
active
boolean
settings
object
events
string[]

Response

200 - application/vnd.xplenty+json; version=2

Hook updated

id
integer
type
string
name
string
active
boolean
settings
object
events
string[]
salt
string
created_at
string<date-time>
updated_at
string<date-time>
url
string<uri>
Last modified on April 20, 2026